# Enum Class CLNByteOrder

java.lang.Object
java.lang.Enum<CLNByteOrder>
com.io7m.calino.api.CLNByteOrder

All Implemented Interfaces:
  `CLNDescribableType, Serializable, Comparable<CLNByteOrder>, Constable`

public enum CLNByteOrder extends Enum<CLNByteOrder> implements CLNDescribableType
The endianness/byte order for the components of image data that are larger than a single byte.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BIG_ENDIAN`
  The most significant byte appears first.
  `LITTLE_ENDIAN`
  The most significant byte appears last.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNByteOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNByteOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNDescribableType

  `descriptor`

- ## Enum Constant Details

  - ### BIG_ENDIAN

    public static final CLNByteOrder BIG_ENDIAN
    The most significant byte appears first.

  - ### LITTLE_ENDIAN

    public static final CLNByteOrder LITTLE_ENDIAN
    The most significant byte appears last.

- ## Method Details

  - ### values

    public static CLNByteOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNByteOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null